Description

Hi all,

So I have installed both Redmine-2.4.5 and Redmine-2.5.1 several times, with several combinations of Ruby/JRuby and Redmine

version. I have been able to get nearly all combinations to successfully work in the webrick test server, however none of them work in

tomcat 7.

I followed all steps and have created successfully .war files for the redmine projects, however when added to the auto_deploy

directory of tomcat, I always get a 500 error "Rack::ShowStatus"

I have a topic up on the forums here if it can provide anymore help: http://www.redmine.org/boards/2/topics/42958

My Specs:

OS: Win7

Database: SQL Server 2008 R2

Ruby: 1.9.3 (most current minor)

Jruby: 1.6.8

Tomcat: 7.

Just to reitterate, the installations of Redmine have already tested successfully outside of Tomcat, as well as Tomcat has been tested

and is working as well.

History

#1 - 2014-07-01 00:01 - John H

- File 500error2.png added

Attached is the end error I get, even though I have sqljdbc4.jar in the Tomcat7 lib directory..

I'm not sure where to go from this.

#2 - 2014-07-01 00:18 - John H

Okay, so I got the damn thing to work after about 7 hours of debug. Still not sure if its going to be completely smooth, however just wanted to put my

solution here:

All I did was:

Remove/Delete "sqljdbc.jar" from  "Java_SDK/jre/lib/ext" -- as well as -- "tomcat/lib" directories, leaving only the sqljdbc4.jar.

Apparently there is a pointing/dependency issue between sqljdbc and sqljdbc4

As mentioned, still not sure if I will run into any later issues, but feel relieved that at least I have a .war file that is deploying.

#3 - 2018-07-01 04:20 - Go MAEDA

- Category set to Ruby support

- Status changed from New to Closed

- Resolution set to Invalid

Redmine 3.0 and later no longer support JRuby.
